Control Location of .bak Files

I’m sure at one point or another you have debated turning off the .bak file. I’m sure some of you have actually done it, but sooner or later realized that was a bad idea.

Usually the reason for wanting to disable it, is because it clutters up your folder(s). At least that was my reason.

But did you know you can actually control the location of the .bak files?

By default, BAK files are created in the same folder as the drawing file.

You can use the MOVEBAK Express Tool to change the location where BAK files are stored. Follow these steps:

1. On the Express menu, click File Tools > Move Backup Files.
2. On the command line, enter the path location where you want the backup files to be stored.
Note: You must have Express Tools installed to access this command. Refer to the product installation documentation for details about installing Express Tools.

~Enjoy!

Advertisements

Lock All Viewports ~ Lisp

It never fails! Every time I have to work on somebody else’s drawings, their viewports are never locked! I got tired of click every viewport and locking them manually, so I created this lisp!


(defun c:vpl (/ kw kval doc adoc lao cnt inc cvprt blk pw)
   (vl-load-com)
   (initget 1 "LOCK UNLOCK")
   (setq kw (getkword "\nLOCK or UNLOCK ALL VPORTS [LOCK/UNLOCK]: "))
   (setq kw (strcase kw))
      (if (= kw "LOCK")
      (setq kval :vlax-true)
      (if (= kw "UNLOCK")
      (setq kval :vlax-false)
	)
	)
(setq doc (vlax-get-object "AutoCad.Application")
adoc (vla-get-ActiveDocument doc)
lao (vla-get-Layouts adoc)
cnt (vla-get-Count lao)
inc 0
)
(repeat cnt
(setq cvprt (vla-Item lao inc)
inc (+ inc 1)
blk (vla-get-Block cvprt)
)
(vlax-for itm blk
(if
(vlax-property-available-p itm 'DisplayLocked)
(progn
(vla-put-DisplayLocked itm kval)
(vla-update itm)
)
)
)
)
(princ)
)

AutoLISP: Create a Roof Pitch Symbol

AutoCAD Tips

If you need to create a roof pitch symbol this routine will surely help.

Here’s how:

  • PS <enter> to start “Pitch Symbol”
  • Select a line that has the slope that you need to calculate
  • Specify the base length of the symbol. (This is the horizontal line of the triangle). this can be done by entering a value in the command line or by picking 2 points
  • Specify what side of the line you want the symbol to be placed on.
  • Move the symbol into place

Note that the symbol created is not a block, it is a group

 c:pitch_symbol  a b c f g h i j k l m n p oldosmode oldosmode  a  c  a b  c c 'or  '=  pi  pi  pi  pi  b b b b b PITCH_BASE PITCH_BASE  c  PITCH_BASE c PITCH_BASE PITCH_BASE c h  d
             e  b  a f  b a  e f  a

View original post 1,172 more words

AutoLISP: Polyline Direction preview

AutoCAD Tips

The simplicity of this routine is why I like it so much. You simply run the command and then select a polyline and it displays temporary arrows that show the direction of the polyline. Once you either zoom in or out, or even use RE [enter] for a REGEN, the temporary arrows will stop displaying.

All credit goes to Luis Esquival and RonJon from the.swamp.org for sharing and editing this routine.

Below – Various polylines have their directions shown

PolyLine Direction

As an extra bonus, this routine works on 3DPOLYLINEs. Even though the arrows aren’t exactly aligned, it is still nice to have a way to show the direction…

PolyLine Direction 3DPOLY

~enjoy

 getarcsegment cen r fromvertex p2  a1 a2 d fromvertex p2 a1  cen fromvertex
		 a2  cen p2 a1 a2 a1 a2  d  r  a2 a1 d  r  a2 a1 d  r  getbulgedata bulge fromvertex p2  dir theta beta radio dat bulge
	theta 

View original post 692 more words

Space Dimensions With DimSpace

With the DimSpace command, you simply select your baseline dimensions, then use this command to evenly space them so they look great!

(In case you didn’t know, the dimensions should be spaced 3/8″ apart)

Here’s the sequence:

  • Command: DimSpace
  • Select base dimension:
  • Select dimensions to space: (Select the rest of the dimensions.)
  • Enter value or [Auto] < Auto >: (AutoCAD selects a value to space them, or you can input your own specific value.)

Spacing Value Tip:
You can use a spacing value of 0 (zero) to align the dimension lines of selected linear and angular dimensions end to end.

AutoLisp Tip:
If your like me, you want to automate the process as much as possible. This syntax will automatically input the distance for you. The only negative to this, is you can only select one dimension at a time instead of windowing multiple.


(Command "dimspace" pause pause "" ".375")

Startup Variable

Did you know you can control how AutoCAD starts up?

For most people when you open AutoCAD, it automatically starts a blank drawing with a template that has been set in the OPTIONS menu.

But did you know you can control whether AutoCAD opens a blank drawing or prompts you to open a drawing or template?

The system variable is STARTUP

0:    Displays the Select Template dialog box, or uses a default drawing template file set in the OPTIONS dialog box, on the files tab.

1:    Starts without opening a drawing template file, and displays the Startup or the Create New Drawing dialog box

2:    Starts without opening a drawing template file. If available in the application a custom dialog box is displayed

~Enjoy

Tip: When Tracking Doesn’t Seem to Work

AutoCAD Tips

Here is one of the quirky things that AutoCAD does that might throw you for a loop. It involves “Tracking” whether it is “Object Snap Tracking” or “Polar Tracking” they seem to behave differently when Dynamic Input is turned onn or off. This is especially true for Object Snap Tracking. I have heard it said and taught, that these functions DO NOT work when Dynamic Input (DYN) is turned off. I am here to show you that they do.
When Dynamic Input is toggled on (as shown below) when you establish the reference point which has the green “glyph”, you pull away and see the dashed line and enter your tracking distance and you are just fine.

DYN Mode turned on OSNAP Tracking DYN Mode turned on OSNAP Tracking

The trouble seems to be when Dynamic Input is turned off and you establish the same reference point. You see the green “glyph” and dashed line as…

View original post 162 more words

CHANGE command

Do you find yourself having to clean up drawings that were poorly drawn? Maybe ends don’t meet or the lines are not orthogonal.  Did you know that the CHANGE command is a handy tool that can help you fix them?

The CHANGE command changes the endpoint of a line and the radius of a circle. The CHANGE command works differently, depending on whether you select lines or circles, so it’s best not to choose lines and circles at the same time.

Note: You can use the CHANGE command to change the rotation of blocks. The Properties option of this command can change many object properties, but it’s generally easier to use the Properties palette.

~Enjoy

 

Dimension Overrides

Have you ever overrode a dimension outside the Dimension Style Manager and wished you could add the changes to your dimension style?

I’m going to show you how to do just that!

After you have finished tweaking the dimension simply select the dimension > right click > Dimension Style > Save as New Style > Select existing Dimstyle (or create a new one if needed).

~Enjoy